      subroutine partoutput(itime)
C                             i
********************************************************************************
*                                                                              *
*     Dump all particle positions                                              *
*                                                                              *
*     Author: A. Stohl                                                         *
*                                                                              *
*     12 March 1999                                                            *
*                                                                              *
********************************************************************************
*                                                                              *
* Variables:                                                                   *
*                                                                              *
********************************************************************************

      include 'includepar'
      include 'includecom'

      double precision jul
      integer itime,i,j,jjjjmmdd,ihmmss
      real xlon,ylat
      character adate*8,atime*6

      jul=bdate+dble(float(itime))/86400.
      call caldate(jul,jjjjmmdd,ihmmss)
      write(adate,'(i8.8)') jjjjmmdd
      write(atime,'(i6.6)') ihmmss

      if (ipout.eq.1) then
        open(unitpartout,file=path(2)(1:len(2))//'partposit_'//adate//
     +  atime,form='unformatted')
      else
        open(unitpartout,file=path(2)(1:len(2))//'partposit_end',
     +  form='unformatted')
      endif
   
C Take only particles already released
**************************************

      write(unitpartout) itime
      do 10 i=1,numpart
        if (itra1(i).eq.itime) then
          xlon=xlon0+xtra1(i)*dx
          ylat=ylat0+ytra1(i)*dy
          write(unitpartout) xlon,ylat,ztra1(i),itramem(i),npoint(i),
     +    (xmass1(i,j),j=1,nspec)
        endif
10      continue
      write(unitpartout) -9999.9,-9999.9,-9999.9,-99999,-99999,
     +(-9999.9,j=1,nspec)

      close(unitpartout)

      end
